Description
| tried the latest stable (1.14.5) and the unstable from yesterday to play Doom1.wad on my OSX 10.10.1 (14B25).

Sadly | have problems with the movement keys. Somehow the left or right movement get stuck and | am turning till | press that key
again to make it register that there was a key up event to stop moving into that direction.

Is this a known bug? Can | help to debug it somehow?

History

#1 - 2015-01-24 21:22 - skyjake
I regularly run on Yosemite myself and | haven't had this issue.
e Are you pressing any other keys while the left/right gets stuck (Option, Command, Control, Shift)? Perhaps there is a system level keyboard
shortcut that is interfering.
e Are these the actual left/right arrow keys or have you bound turning to different keys?
¢ Do you have any non-standard system preferences, e.g., are you using any accessibility features?
¢ Any other apps running in the background?
I'm wondering if the key events are being intercepted before they reach Doomsday.

It might also help to reset your bindings in the console with

clearbindings; defaultbindings
#2 - 2015-01-25 13:53 - bitboxer
| tried to play around with what | actually do to trigger this. And it is the ctrl key. If | press the Ctrl and the cursoer keys, the curser key gets stuck.

And yes, | have a few modifications on my system. | am using https://pgrs.org/osx/karabiner/ to remap my Capslock to be Ctrl, too. Can | remap ctrl
and alt to be something different? Maybe the karabinder ting changes something on the default ctrl, too.

#3 - 2015-01-25 14:39 - bitboxer

Ah, nevermind. | found out how to map ctrl / alt to y / x. That is good enough for me. See you in a few hours, playing doom :D

#4 - 2015-01-27 16:35 - skyjake

- Status changed from New to Rejected
